Update Customer

View as Markdown
Update a customer by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

customer_idstringRequired
account_idstringRequired

Request

This endpoint expects an object.
emailstringRequired
Customer email
first_namestring or nullOptional
Customer first name
last_namestring or nullOptional
Customer last name
phonestring or nullOptional
Customer phone
billing_emailstring or nullOptional
Customer billing email
business_namestring or nullOptional
Customer business name
addressobject or nullOptional
shipping_addressobject or nullOptional
tax_idslist of strings or nullOptional
Customer tax IDs
currencyenum or nullOptional
Customer currency
languagestring or nullOptionalDefaults to en
Customer language
invoice_settingsmap from strings to any or nullOptional
Customer invoice settings
metadatamap from strings to any or nullOptional
Customer metadata
custom_fieldsmap from strings to any or nullOptional
Custom field values to set on this customer. Keys must match defined field keys for the customer entity type. Set a key to null to delete that field's value.
allow_duplicate_emailbooleanOptionalDefaults to false
When true, skip duplicate email check and create a new customer even if one with the same email exists.
simulation_idstring or nullOptional

Simulation ID - creates customer in simulation context for test clock scenarios

Response

Successful Response
idstring
namestring or null
first_namestring or null
last_namestring or null
emailstring or null
phonestring or null
billing_emailstring or null
business_namestring or null
addressobject or null
shipping_addressobject or null
tax_idslist of strings or null
currencyenum or null
ISO 4217 currency codes.
languagestring or null
invoice_settingsmap from strings to any or null
total_spentobject or null

Cash captured from this customer, minus refunds and chargebacks. Null when no cash was captured — including invoices settled outside the platform and customers who were fully refunded.

metadatamap from strings to any or null
created_atdatetime
updated_atdatetime
credit_balanceobject or nullOptional

Primary credit balance (largest currency). Deprecated: use credit_balances.

credit_balanceslist of objects or nullOptional
Credit balances per currency
custom_fieldsmap from strings to any or nullOptional

Custom field values. Only included when expand=custom_fields is specified.

Errors

422
Unprocessable Entity Error